var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconGeneratedDocumentComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-generated-document").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 16 16" }, rest, { ref: ref }),
        React.createElement("path", { d: "M11.066 1.367c1.234 0 2.234 1 2.234 2.234v4.046a.634.634 0 0 1-1.267 0V3.601a.967.967 0 0 0-.967-.967H4.934a.967.967 0 0 0-.967.967v8.8c0 .533.433.966.967.966h2.399a.633.633 0 1 1 0 1.267h-2.4c-1.233 0-2.233-1-2.233-2.234V3.6c0-1.233 1-2.233 2.234-2.233h6.132Zm1.777 8c.35 0 .633.283.634.633v4a.634.634 0 0 1-1.267 0v-1.366H9.967V14A.634.634 0 0 1 8.7 14v-4a.633.633 0 0 1 1.267 0v1.367h2.243V10c0-.35.283-.633.633-.633ZM8.666 6.7a.634.634 0 1 1 0 1.267H6A.634.634 0 0 1 6 6.7h2.666ZM10 4.367a.633.633 0 1 1 0 1.267H6a.634.634 0 0 1 0-1.267h4Z" }));
}
var IconGeneratedDocument = React.forwardRef(IconGeneratedDocumentComponent);
export default IconGeneratedDocument;
